id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
ID3_Flags Class Reference

`#include <flags.h>`

## Public Types
typedef flags_t | TYPE

## Public Member Functions
| ID3_Flags ()
virtual | ~ID3_Flags ()
TYPE | get () const
bool | test (TYPE f) const
bool | set (TYPE f)
bool | add (TYPE f)
bool | remove (TYPE f)
bool | clear ()
bool | set (TYPE f, bool b)
ID3_Flags & | operator= (const ID3_Flags &f)

## Detailed Description

Definition at line 33 of file flags.h.

## Member Typedef Documentation

typedef flags_t ID3_Flags::TYPE

Definition at line 36 of file flags.h.

## Constructor & Destructor Documentation

ID3_Flags::ID3_Flags | ( |  | ) |
| inline

Definition at line 38 of file flags.h.

virtual ID3_Flags::~ID3_Flags | ( |  | ) |
| inline virtual

Definition at line 39 of file flags.h.

## Member Function Documentation

bool ID3_Flags::add | ( | TYPE | f | ) |
| inline

Definition at line 44 of file flags.h.

bool ID3_Flags::clear | ( |  | ) |
| inline

Definition at line 46 of file flags.h.

TYPE ID3_Flags::get | ( |  | ) | const
| inline

Definition at line 41 of file flags.h.

ID3_Flags& ID3_Flags::operator= | ( | const ID3_Flags & | f | ) |
| inline

Definition at line 49 of file flags.h.

bool ID3_Flags::remove | ( | TYPE | f | ) |
| inline

Definition at line 45 of file flags.h.

bool ID3_Flags::set | ( | TYPE | f | ) |
| inline

Definition at line 43 of file flags.h.

bool ID3_Flags::set | ( | TYPE | f,
|  | bool | b
| ) |  |
| inline

Definition at line 47 of file flags.h.

bool ID3_Flags::test | ( | TYPE | f | ) | const
| inline

Definition at line 42 of file flags.h.

The documentation for this class was generated from the following file:

- src/flags.h